## docopt 0.1.1

=== DESCRIPTION ===
Package: docopt
Type: Package
Title: docopt, commandline interface specification language
Version: 0.1.1
Date: 2014-06-07
Author: Edwin de Jonge (edwindjonge@gmail.com)
Maintainer: Edwin de Jonge <edwindjonge@gmail.com>
Description: docopt lets you define a command line interface by just giving it
    a description in the specific format.
License: MIT +file LICENSE
Imports: stringr, methods
Packaged: 2014-06-10 08:08:57 UTC; ejne
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-06-10 10:44:56

=== inst/paper/Makefile ===
pdf: docopt_pres.pdf
tex: docopt_pres.tex

%.pdf: %.md
#	pandoc -t beamer -V theme=Warsaw --latex-engine=xelatex -o $@ $<
	pandoc -t beamer -V theme=cbs --latex-engine=xelatex -o $@ $<

%.tex: %.md
	pandoc -s -t beamer -V theme=cbs -o $@ $<

clean:
	rm -f docopt_pres.pdf docopt_pres.tex

## docopt 0.3

=== DESCRIPTION ===
Package: docopt
Type: Package
Title: docopt, command-line interface specification language
Version: 0.3
Date: 2014-06-07
Author: Edwin de Jonge (edwindjonge@gmail.com)
Maintainer: Edwin de Jonge <edwindjonge@gmail.com>
Description: docopt lets you define a command-line interface by just giving it
    a description in the specific format.
License: MIT +file LICENSE
URL: https://github.com/edwindj/docopt.R
Imports: stringr
Depends: methods
Packaged: 2014-09-03 16:18:03 UTC; Edwin
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-03 19:18:07

=== inst/paper/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-pdf: docopt_pres.pdf
-tex: docopt_pres.tex
+pdf: user2014.pdf
+tex: user2014.tex
 
 %.pdf: %.md
 #	pandoc -t beamer -V theme=Warsaw --latex-engine=xelatex -o $@ $<

## docopt 0.4.2

=== DESCRIPTION ===
Package: docopt
Type: Package
Title: docopt, command-line interface specification language
Version: 0.4.2
Date: 2014-06-07
Author: Edwin de Jonge (edwindjonge@gmail.com)
Maintainer: Edwin de Jonge <edwindjonge@gmail.com>
Description: docopt lets you define a command-line interface by just giving it
    a description in the specific format.
License: MIT + file LICENSE
URL: https://github.com/docopt/docopt.R
Imports: stringr
Depends: methods
Suggests: testthat
Packaged: 2015-01-05 15:11:57 UTC; Edwin
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-01-05 17:09:19

## docopt 0.4.3.3

=== DESCRIPTION ===
Package: docopt
Type: Package
Title: Command-Line Interface Specification Language
Version: 0.4.3.3
Date: 2015-05-03
Author: Edwin de Jonge (edwindjonge@gmail.com)
Maintainer: Edwin de Jonge <edwindjonge@gmail.com>
Description: Define a command-line interface by just giving it
    a description in the specific format.
License: MIT + file LICENSE
URL: https://github.com/docopt/docopt.R
Imports: stringr
Depends: methods
Suggests: testthat
Packaged: 2015-05-04 09:26:29 UTC; Edwin
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-05-04 12:06:41

## docopt 0.4.5

=== DESCRIPTION ===
Package: docopt
Type: Package
Title: Command-Line Interface Specification Language
Version: 0.4.5
Date: 2015-06-10
Author: Edwin de Jonge (edwindjonge@gmail.com)
Maintainer: Edwin de Jonge <edwindjonge@gmail.com>
Description: Define a command-line interface by just giving it
    a description in the specific format.
License: MIT + file LICENSE
URL: https://github.com/docopt/docopt.R
Imports: stringr
Depends: methods
Suggests: testthat
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-06-13 08:15:09 UTC; Edwin
Repository: CRAN
Date/Publication: 2016-06-13 13:07:08

## docopt 0.6

=== DESCRIPTION ===
Package: docopt
Type: Package
Title: Command-Line Interface Specification Language
Version: 0.6
Author: Edwin de Jonge (edwindjonge@gmail.com)
Maintainer: Edwin de Jonge <edwindjonge@gmail.com>
Description: Define a command-line interface by just giving it
    a description in the specific format.
License: MIT + file LICENSE
URL: https://github.com/docopt/docopt.R
Depends: methods
Suggests: testthat
RoxygenNote: 6.1.0
NeedsCompilation: no
Packaged: 2018-08-03 07:03:09 UTC; edwin
Repository: CRAN
Date/Publication: 2018-08-03 07:20:02 UTC

## docopt 0.6.1

=== DESCRIPTION ===
Package: docopt
Type: Package
Title: Command-Line Interface Specification Language
Version: 0.6.1
Author: Edwin de Jonge (edwindjonge@gmail.com)
Maintainer: Edwin de Jonge <edwindjonge@gmail.com>
Description: Define a command-line interface by just giving it
    a description in the specific format.
License: MIT + file LICENSE
URL: https://github.com/docopt/docopt.R
BugReports: https://github.com/docopt/docopt.R/issues
Imports: methods
Suggests: testthat
RoxygenNote: 6.1.0
NeedsCompilation: no
Packaged: 2018-10-11 09:11:56 UTC; edwin
Repository: CRAN
Date/Publication: 2018-10-11 09:30:02 UTC

=== debian/changelog ===
docopt (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #722935)

 -- Agustin Henze <tin@debian.org>  Sat, 14 Sep 2013 17:33:36 -0300

=== debian/control ===
Source: docopt
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Build-Depends: debhelper (>= 9),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
Homepage: http://docopt.org
Vcs-Git: git://anonscm.debian.org/collab-maint/docopt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/docopt.git

Package: python-docopt
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Creates beautiful command-line interfaces
 docopt helps you:
 .
 * define interface for your command-line app, and
 * automatically generate parser for it.
 .
 docopt is based on conventions that are used for decades in help messages and
 man pages for program interface description. Interface description in docopt
 is such a help message, but formalized.

Package: python3-docopt
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Creates beautiful command-line interfaces (Python3)
 docopt helps you:
 .
 * define interface for your command-line app, and
 * automatically generate parser for it.
 .
 docopt is based on conventions that are used for decades in help messages and
 man pages for program interface description. Interface description in docopt
 is such a help message, but formalized.
 .
 This is the Python 3 compatible version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p')

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf build
	rm -rf docopt.egg-info
	rm -rf __pycache__
	rm -f debian/upstream_changelog

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/python-docopt \
				      --install-layout=deb; \
	done
	set -ex; \
	for py in $(PY3VERS); do \
		$$py setup.py install --root debian/python3-docopt \
				      --install-layout=deb; \
	done

override_dh_installchangelogs:
	grep -A 10000 Changelog README.rst | grep -A 1000 $(UPSTREAM_VERSION) > debian/upstream_changelog
	dh_installchangelogs debian/upstream_changelog

get-orig-source:
		@if [ ! -d "debian" ] ; then \
			echo 'Run this from the top directory of the Debian source' >&2; \
			exit 1; \
		fi
		wget https://github.com/docopt/docopt/archive/$(UPSTREAM_VERSION).tar.gz \
			-O ../docopt_$(UPSTREAM_VERSION).orig.tar.gz;

## docopt 0.6.2

=== debian/changelog ===
docopt (0.6.2-2.2ubuntu1) focal; urgency=medium

  * Reinstate the Python2 module.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 23:27:05 +0000

docopt (0.6.2-2.1) unstable; urgency=medium

  [ Matthias Klose ]
  * Don't run the Python2 autopkg tests. python-schema is gone.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Antoine Beaupré ]
  * Non-maintainer upload to ship Klose's patch (Closes: #941638)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 11 Oct 2019 00:57:20 -0400

docopt (0.6.2-2) unstable; urgency=medium

  * [d/control] Remove obsolete X-Python-Version
  * Bumped Standards-Version to 4.2.0 (no changes needed)
  * Update Vcs-* fields pointing to salsa
  * Update dh to 11
  * [d/rules] Use variables defined on pkg-info.mk
  * Add (autopkg)tests

 -- Agustin Henze <tin@debian.org>  Fri, 17 Aug 2018 16:16:51 +0200

docopt (0.6.2-1) unstable; urgency=medium

  * Use uscan in get-orig target
  * Imported Upstream version 0.6.2
  * Improve package description thanks to Justin B Rye (Closes: #725710)
  * Bumped Standard-Version to 3.9.5 (no changes required)
  * Use pybuild as buildsystem

 -- Agustin Henze <tin@debian.org>  Tue, 24 Jun 2014 09:14:44 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=$(DEB_SOURCE)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/upstream_changelog

override_dh_installchangelogs:
	grep -A 10000 Changelog README.rst | grep -A 1000 $(DEB_VERSION_UPSTREAM) > debian/upstream_changelog
	dh_installchangelogs debian/upstream_changelog

=== debian/tests/control ===
Tests: unittests, run_examples
Depends: @,
 python3-pytest,
 python3-schema,

=== debian/watch ===
version=3

https://github.com/docopt/docopt/tags .*archive\/([0-9.]*).tar.gz

## docopt 0.7

=== DESCRIPTION ===
Package: docopt
Type: Package
Title: Command-Line Interface Specification Language
Version: 0.7
Author: Edwin de Jonge (edwindjonge@gmail.com)
Maintainer: Edwin de Jonge <edwindjonge@gmail.com>
Description: Define a command-line interface by just giving it
    a description in the specific format.
License: MIT + file LICENSE
URL: https://github.com/docopt/docopt.R
BugReports: https://github.com/docopt/docopt.R/issues
Imports: methods
Suggests: testthat
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-06-23 06:09:02 UTC; edwindj
Repository: CRAN
Date/Publication: 2020-06-23 06:40:02 UTC
